cat<<EOF | sort -n > kdd.dat
1 0.2331   
2 0.2356   
3 0.2367   
4 0.2411   
5 0.2414   
6 0.2443   
7 0.2474   
8 0.2479   
9 0.2523   
10 0.2530   
11 0.2531   
12 0.2545   
13 0.2552   
14 0.2575   
15 0.2588   
16 0.2644   
17 0.2684   
18 0.2952   
19 0.3344 
20 0.3767 
21 0.3854 
22 0.3899
23 0.5053
24 0.9414

EOF


gnuplot<<EOF 
set terminal postscript color enhanced eps 20
set output "kdd.eps"
set key top left
set nokey
set size 0.4,0.5
set xlabel "KDD entrants"
set ylabel "misclassification\nscore"
set xtics (1,10,18,24)
set yrange [0.15:1]
set xrange [0:26]
set label "sawtooth" at 3,0.5
set ytics (0,0.25,0.5,0.75,1)
set arrow 1 from 14,0.45 to 14,0.3 lw 4  
set arrow 2 from 25,0.257 to 0,0.257 nohead 
plot "kdd.dat" t "kdd99" w l lt 1 lw 8
EOF
#plot "kdd.dat" title "kdd99" with lines 0 linewidth 3

epstopdf kdd.eps

cat <<EOF>kddbands.dat 
1 2
2 2
6 20
7 2
11 7
14 4
16 7
18 2
26 5
31 3
36 3
40 4
41 3
46 2
77 2
EOF
gnuplot<<EOF 
set terminal postscript eps
set output "kddbands.eps"
set key top left
set nokey
set size 0.25,0.5
set xlabel "bins"
set yrange [-2:22]
set xrange [-10:80]
set xtics (0,25,50,75)
set ylabel "# attributes with X bins" 
plot "kddbands.dat" title "kdd99" with linesp 7
EOF

epstopdf kddbands.eps


