cat<<EOF>plateaums.dat
#             I  D   N C         m5        lsr
1 K bodyfat       252 0 14 N     1 0.97    1 0.965
2 L cloud         108 2 4  N     4 0.83    2 0.59
3 M fishcatch     158 2 5  N     3 0.79    6 0.71
4 N sensory       576 11 0 N     1 1       1 1
5 O pwLinear      200 0 10 N     4 0.49    2 0.31
6 P cleveland     303 7  6 N     4 0.16    1 0.12
7 Q strike        625 1  5 N     2 0.19    5 0.19
8 R pbc           418 8 10 N     4 0.45    3 0.44
9 S autoMpg       398 3  6 N     5 0.978   6 0.96
10 T housing       506 1 12 N     5 0.91    2 0.83
EOF
cat<<EOF>plateaukt.dat
#                             nbk       j48 
1 A heart-c       303 7   6 5     1 0.81   2 0.74 
2 B zoo           101 16  1  7    4 0.93   5 0.91
3 C vote          435 16  0 2     1 0.89   1 0.94
4 D heart-statlog 270 0   13 2    3 0.85   2 0.76  
5 E lymph         148 15 3   4    8 0.86   6 0.77
6 F autos         205 10  15 7    7 0.58   7 0.75
7 G ionosphere    351 0  34 2     5  0.9   4 0.87
8 H diabetes      768 0   8 2     3 0.75   2 0.72
9 I balance-scale 625 0   4 3     6 0.9    3 0.77
10 J soybean       683 35  0 19    6 0.91   6 0.88
EOF
gnuplot<<EOF
set title "M5: model trees"
set size 0.5,0.7
set xlabel "data set"
set yrange [-20:350]
set arrow 1 from 0.5,50 to 10.5,50 nohead
set arrow 2 from 0.5,200 to 10.5,200 nohead
set ytics (0,50,100,150,200,250)
set xrange [0.5:10.5]
set xtics ("K" 1, "L" 2, "M" 3, "N" 4, "O" 5, "P" 6, "Q" 7, "R" 8, "S" 9, "T" 10)
set terminal postscript eps 20 
set output "plateaumsm5.eps"
plot "plateaums.dat" using (\$1):(\$4*\$8/10) title "# instances" with linesp 1 0,\
     "plateaums.dat" using (\$1):(\$8*10)    title "% data" with linesp 1 5,\
     "plateaums.dat" using (\$1):(\$9*100)    title "PRED(30)" with lines 0
EOF
gnuplot<<EOF
set title "LSR: linear regression"
set size 0.5,0.7
set xlabel "data set"
set yrange [-25:400]
set arrow 1 from 0.5,50 to 10.5,50 nohead
set arrow 2 from 0.5,200 to 10.5,200 nohead
set ytics (0,50,100,150,200,250,300)
set xrange [0.5:10.5]
set xtics ("K" 1, "L" 2, "M" 3, "N" 4, "O" 5, "P" 6, "Q" 7, "R" 8, "S" 9, "T" 10)
set terminal postscript eps 20
set output "plateaumslsr.eps"
plot "plateaums.dat" using (\$1):(\$4*\$10/10) title "# instances" with linesp 1 0,\
     "plateaums.dat" using (\$1):(\$10*10)    title "% data" with linesp 1 5,\
     "plateaums.dat" using (\$1):(\$11*100)    title "PRED(30)" with lines 0
EOF
gnuplot<<EOF
set title "Naive Bayes (with kernel estimation)"
set xlabel "data set"
set size 0.5,0.7
set yrange [-20:600]
set arrow 1 from 0.5,50 to 10.5,50 nohead
set arrow 2 from 0.5,200 to 10.5,200 nohead
set ytics (0,50,100,200,300,400)
set xrange [0.5:10.5]
set xtics ("A" 1, "B" 2, "C" 3, "D" 4, "E" 5, "F" 6, "G" 7, "H" 8, "I" 9, "J" 10)
set terminal postscript eps 20
set output "plateauktnbk.eps"
plot "plateaukt.dat" using (\$1):(\$4*\$8/10) title "# instances" with linesp 1 0,\
     "plateaukt.dat" using (\$1):(\$8*10)     title "% data" with linesp 1 5,\
     "plateaukt.dat" using (\$1):(\$9*100)    title "ACC" with lines 0
EOF

gnuplot<<EOF
set title "J48 (entrophy-based decision trees)"
set xlabel "data set"
set size 0.5,0.7
set yrange [-25:600]
set arrow 1 from 0.5,50 to 10.5,50 nohead
set arrow 2 from 0.5,200 to 10.5,200 nohead
set ytics (0,50,100,200,300,400)
set xrange [0.5:10.5]
set xtics ("A" 1, "B" 2, "C" 3, "D" 4, "E" 5, "F" 6, "G" 7, "H" 8, "I" 9, "J" 10)
set terminal postscript eps 20 
set output "plateauktj48.eps"
plot "plateaukt.dat" using (\$1):(\$4*\$10/10) title "# instances" with linesp 1 0,\
     "plateaukt.dat" using (\$1):(\$10*10)     title "% data" with linesp 1 5,\
     "plateaukt.dat" using (\$1):(\$11*100)    title "ACC" with lines 0
EOF
epstopdf plateaumsm5.eps
epstopdf plateaumslsr.eps
epstopdf plateauktnbk.eps
epstopdf plateauktj48.eps



