labels10() {
    gawk '/#/{next}
             {print "set label \""$2"\" at "$4","$10/10*$4}' $1 
}
labels8() {
    gawk '/#/{next}
             {print "set label \""tolower($2)"\" at "$4","$8/10*$4}' $1 
}
cat<<EOF>plateaums.dat
#             I  D   N C         m5        lsr
1 K bodyfat       252 0 14 N     1 0.97    1 0.965
2 L cloud         108 2 4  N     4 0.83    2 0.59
3 M fishcatch     158 2 5  N     3 0.79    6 0.71
4 N sensory       576 11 0 N     1 1       1 1
5 O pwLinear      200 0 10 N     4 0.49    2 0.31
6 P cleveland     303 7  6 N     4 0.16    1 0.12
7 Q strike        625 1  5 N     2 0.19    5 0.19
8 R pbc           418 8 10 N     4 0.45    3 0.44
9 S autoMpg       398 3  6 N     5 0.978   6 0.96
10 T housing       506 1 12 N     5 0.91    2 0.83
EOF
cat<<EOF> plateaukt.dat
#                             nbk       j48 
1 A heart-c       303 7   6 5     1 0.81   2 0.74 
2 B zoo           101 16  1  7    4 0.93   5 0.91
3 C vote          435 16  0 2     1 0.89   1 0.94
4 D heart-statlog 270 0   13 2    3 0.85   2 0.76  
5 E lymph         148 15 3   4    8 0.86   6 0.77
6 F autos         205 10  15 7    7 0.58   7 0.75
7 G ionosphere    351 0  34 2     5  0.9   4 0.87
8 H diabetes      768 0   8 2     3 0.75   2 0.72
9 I balance-scale 625 0   4 3     6 0.9    3 0.77
10 J soybean       683 35  0 19    6 0.91   6 0.88
EOF

gnuplot<<EOF 
set pointsize 1.5
set size 0.5,0.4
set xtics (0,200,400,600,800)
set ytics (0,100,200,"300" 305,400)
set xrange[80:800]
set yrange [0:550]
set arrow 1 from 80,200 to 800,200 nohead
set arrow 2 from 80,305 to 800,305 nohead
set xlabel "dataset size"
set ylabel "plateau"
set key top left
set terminal postscript eps
set output "plateaudotsD.eps"
plot "plateaukt.dat" using 4:(\$10 /10*\$4) title "j48" with points 1,\
     "plateaukt.dat" using 4:(\$8  /10*\$4) title "nbk" with points 2,\
      "plateaums.dat" using 4:(\$10 /10*\$4) title "lsr" with points 10,\
     "plateaums.dat" using 4:(\$8  /10*\$4) title "m5" with points 8
EOF


epstopdf plateaudotsD.eps

#> plateauktnb.labels




